Bug 434692 - Xmms doesn't immediately play music file, when I double click on it
Xmms doesn't immediately play music file, when I double click on it
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xmms (Show other bugs)
14
All Linux
low Severity low
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-24 09:16 EST by Andrey Arapov
Modified: 2011-07-25 23:47 EDT (History)
2 users (show)

See Also:
Fixed In Version: xmms-1.2.11-15.20071117cvs.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-25 23:30:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andrey Arapov 2008-02-24 09:16:39 EST
From Bugzilla Helper:
User-Agent: Opera/9.26 (X11; Linux i686; U; en)

Description of problem:
Xmms doesn't immediately play music file, when I double click on it.
It just only add this file to playlist.

Solution:
in the /usr/share/applications/redhat-audio-player.desktop
change "Exec=xmms -e %F" to "Exec=xmms %F"


Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. start nautilus
2. navigate to your music file
3. right click on it -> Properties -> Open With: Audio Player
4. double click on music file


Actual Results:


Expected Results:


Additional info:
Comment 1 Paul F. Johnson 2008-09-12 04:48:51 EDT
Hmmm, Not sure why this is. Can you right click on an mp3, go to properties at the bottom and check what that says it should open with?
Comment 2 Michael Schwendt 2008-11-25 14:40:32 EST
Confirmed (with F9, though).
You either want

  Exec=xmms -e -p %F

to enqueue and play or

  Exec=xmms %F

to clear the playlist and play only the single file.
Comment 3 Bug Zapper 2008-11-26 04:55:41 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-06-09 19:37:40 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Paul F. Johnson 2009-09-02 09:26:48 EDT
Fixed in rawhide. Will drop it to f10 and f11 presently
Comment 6 Michael Schwendt 2009-09-06 05:47:46 EDT
$ ll /usr/share/applications/redhat-audio-player.desktop
lrwxrwxrwx 1 root root 51 2009-09-06 11:40 /usr/share/applications/redhat-audio-player.desktop -> ../desktop-menu-patches/redhat-audio-player.desktop

$ grep -i exec /usr/share/desktop-menu-patches/redhat-audio-player.desktop 
Exec=xmms -e %F
Comment 7 Rex Dieter 2009-09-23 14:15:47 EDT
Strictly speaking, that .desktop file is owned by redhat-menus (ie, the change will need to happen there).

Of course, in this day and age, not sure why this pkg isn't just providing it's own xmms.desktop file, instead of the continued monkey-business of using an oddly named .desktop file owned by something else.
Comment 8 Michael Schwendt 2009-09-23 14:24:09 EDT
> that .desktop file is owned by redhat-menus 

Sure it is. No news. The xmms.spec file explicitly does that and even says so in a comment.

Finding out the fix was left as an excercize as obviously the committed change had not been tested at all:
https://www.redhat.com/archives/fedora-extras-commits/2009-September/msg00522.html
Comment 9 Rex Dieter 2009-09-23 15:11:29 EDT
Michael, indeed, stealthy as ever, and I missed it.

Seems the "fix" and way forward here is a bit clearer now. :)
Comment 10 Bug Zapper 2010-04-27 07:55:28 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-06-28 06:32:48 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 12 Bug Zapper 2010-07-30 06:31:08 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Fedora Admin XMLRPC Client 2011-07-14 14:45:08 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Tom "spot" Callaway 2011-07-15 15:52:06 EDT
Default is now Enqueue and Play, or at least, it will be shortly.
Comment 15 Fedora Update System 2011-07-15 16:41:27 EDT
xmms-1.2.11-15.20071117cvs.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/xmms-1.2.11-15.20071117cvs.fc14
Comment 16 Fedora Update System 2011-07-15 16:41:46 EDT
xmms-1.2.11-15.20071117cvs.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/xmms-1.2.11-15.20071117cvs.fc15
Comment 17 Fedora Update System 2011-07-16 03:34:31 EDT
Package xmms-1.2.11-15.20071117cvs.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xmms-1.2.11-15.20071117cvs.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/xmms-1.2.11-15.20071117cvs.fc15
then log in and leave karma (feedback).
Comment 18 Fedora Update System 2011-07-25 23:29:57 EDT
xmms-1.2.11-15.20071117cvs.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2011-07-25 23:47:28 EDT
xmms-1.2.11-15.20071117cvs.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.